<?php
/**
 * The map template file.
 *
 * @package Hitoma
 */

?>
<!-- マップ -->
<?php
    $original_map_image = hitoma_get_image_from_theme_mod_id('hitoma-theme_options-map_original_map', DEFAULT_ORIGINAL_MAP_IMAGE_URL );

    $content_mod_id   = 'hitoma-theme_options-under_map_content';
    $map_page_content = hitoma_get_page_content_from_theme_mod_id( $content_mod_id );

    $has_map_content  = $original_map_image || $map_page_content;
?>
<?php if ( $has_map_content ) : ?>
	<div class="map">
		<?php if ( $original_map_image ) : ?>
            <?php echo $original_map_image; ?>
		<?php elseif ( $map_page_content ) : ?>
            <?php echo $map_page_content; ?>
		<?php endif; ?>
	</div>
<?php endif; ?>
<!-- /マップ -->
